Bug 169584 - [PATCH] astro/gpstk: update to 2.0
Summary: [PATCH] astro/gpstk: update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-01 19:10 UTC by John Hein
Modified: 2012-07-19 06:40 UTC (History)
1 user (show)

See Also:


Attachments
gpstk-2.0.patch (11.93 KB, patch)
2012-07-01 19:10 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2012-07-01 19:10:07 UTC
- Update to 2.0

http://www.gpstk.org/bin/view/Development/ReleaseNotes20

https://redports.org/~jhein/20120630193203-30063-32836/gpstk-2.0.log

Port maintainer (jhein@symmetricom.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: CVS)
Comment 1 Jason Helfman freebsd_committer 2012-07-01 20:37:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2012-07-05 23:08:42 UTC
State Changed
From-To: open->feedback

->feedback
Comment 3 John Hein 2012-07-13 14:40:31 UTC
What feedback are you looking for?
Comment 4 Jason Helfman freebsd_committer 2012-07-13 21:10:28 UTC
I had mis-read this as an update, not maintainer-update. My apologies,
however this fails in clang building.

https://redports.org/buildarchive/20120713190237-967/

Any thoughts?

Thanks!
-jgh

-- 
Jason Helfman
FreeBSD Committer | http://people.freebsd.org/~jgh | The Power To Serve
Comment 5 dfilter service freebsd_committer 2012-07-19 06:30:31 UTC
Author: jgh
Date: Thu Jul 19 05:30:19 2012
New Revision: 301139
URL: http://svn.freebsd.org/changeset/ports/301139

Log:
  - update to 2.0
  
  PR:	ports/169584
  Changes:	http://www.gpstk.org/bin/view/Development/ReleaseNotes20
  Submitted by:	maintainer, jhein@symmetricom.com

Modified:
  head/astro/gpstk/Makefile   (contents, props changed)
  head/astro/gpstk/distinfo   (contents, props changed)
  head/astro/gpstk/pkg-plist   (contents, props changed)

Modified: head/astro/gpstk/Makefile
==============================================================================
--- head/astro/gpstk/Makefile	Thu Jul 19 04:29:25 2012	(r301138)
+++ head/astro/gpstk/Makefile	Thu Jul 19 05:30:19 2012	(r301139)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gpstk
-PORTVERSION=	1.7
-PORTREVISION=	1
+PORTVERSION=	2.0
 CATEGORIES=	astro devel
 MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION}.src
@@ -22,6 +21,7 @@ WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_PYTHON_RUN=	yes
 USE_LDCONFIG=	yes
 USE_DOS2UNIX=	yes
+USE_GCC=	4.2+
 DOS2UNIX_REGEX=	${WRKSRC}/Jamrules
 
 JAM=		jam

Modified: head/astro/gpstk/distinfo
==============================================================================
--- head/astro/gpstk/distinfo	Thu Jul 19 04:29:25 2012	(r301138)
+++ head/astro/gpstk/distinfo	Thu Jul 19 05:30:19 2012	(r301139)
@@ -1,2 +1,2 @@
-SHA256 (gpstk-1.7.src.tar.gz) = 56f234d33b67011794612a132e84c204078ae50db223dfecadbf45301bce0373
-SIZE (gpstk-1.7.src.tar.gz) = 22837053
+SHA256 (gpstk-2.0.src.tar.gz) = c98f5b38e0dea0f1ecc0d1de980047127172277c7bd52bcd648f20953dc3b246
+SIZE (gpstk-2.0.src.tar.gz) = 65691251

Modified: head/astro/gpstk/pkg-plist
==============================================================================
--- head/astro/gpstk/pkg-plist	Thu Jul 19 04:29:25 2012	(r301138)
+++ head/astro/gpstk/pkg-plist	Thu Jul 19 05:30:19 2012	(r301139)
@@ -4,14 +4,13 @@ bin/ConstellationList
 bin/DDBase
 bin/DOPcalc
 bin/DiscFix
-bin/EditRinex
 bin/IonoBias
-bin/NavMerge
 bin/ORDPhaseParser
 bin/PRSolve
-bin/ResCor
+bin/RinDump
+bin/RinEdit
+bin/RinNav
 bin/RinSum
-bin/RinexDump
 bin/TECMaps
 bin/TIAPhaseParser
 bin/ash2mdp
@@ -28,6 +27,7 @@ bin/ddGen
 bin/ddPlot
 bin/ddmerge
 bin/ephdiff
+bin/ephemfix
 bin/ephsum
 bin/ffp
 bin/fic2rin
@@ -35,10 +35,12 @@ bin/ficacheck
 bin/ficafic
 bin/ficcheck
 bin/ficdiff
+bin/ficedit
 bin/ficfica
 bin/findMoreThan12
 bin/lsfilt
 bin/mallandev
+bin/mdp2fic
 bin/mdp2rinex
 bin/mdpEdit
 bin/mdptool
@@ -63,6 +65,7 @@ bin/ordStats
 bin/pff
 bin/posInterp
 bin/poscvt
+bin/posmsc
 bin/rfw
 bin/rinexpvt
 bin/rinexthin
@@ -75,6 +78,7 @@ bin/rowcheck
 bin/rowdiff
 bin/rstats
 bin/scale-gpstk
+bin/sp32bc
 bin/sp3version
 bin/svvis
 bin/tallandev
@@ -84,6 +88,10 @@ bin/trunc
 bin/vecsol
 bin/wheresat
 include/gpstk/ANSITime.hpp
+include/gpstk/ARBase.hpp
+include/gpstk/ARLambda.hpp
+include/gpstk/ARMLambda.hpp
+include/gpstk/ARSimple.hpp
 include/gpstk/ASConstant.hpp
 include/gpstk/ATSData.hpp
 include/gpstk/ATSStream.hpp
@@ -120,6 +128,11 @@ include/gpstk/BinexStream.hpp
 include/gpstk/Bitmap.hpp
 include/gpstk/BivarStats.hpp
 include/gpstk/BorderLayout.hpp
+include/gpstk/BrcClockCorrection.hpp
+include/gpstk/BrcKeplerOrbit.hpp
+include/gpstk/CNAV2EphClk.hpp
+include/gpstk/CNAVClock.hpp
+include/gpstk/CNAVEphemeris.hpp
 include/gpstk/CRC32.hpp
 include/gpstk/Canvas.hpp
 include/gpstk/CheckPRData.hpp
@@ -128,11 +141,14 @@ include/gpstk/CiraExponentialDrag.hpp
 include/gpstk/Circle.hpp
 include/gpstk/CivilTime.hpp
 include/gpstk/ClockModel.hpp
+include/gpstk/ClockSatStore.hpp
 include/gpstk/CodeBuffer.hpp
 include/gpstk/CodeKalmanSolver.hpp
 include/gpstk/CodeSmoother.hpp
 include/gpstk/Color.hpp
 include/gpstk/ColorMap.hpp
+include/gpstk/Combinations.hpp
+include/gpstk/CommandLine.hpp
 include/gpstk/CommandOption.hpp
 include/gpstk/CommandOptionParser.hpp
 include/gpstk/CommandOptionWithCommonTimeArg.hpp
@@ -154,10 +170,13 @@ include/gpstk/ComputePC.hpp
 include/gpstk/ComputePI.hpp
 include/gpstk/ComputePdelta.hpp
 include/gpstk/ComputeSatPCenter.hpp
+include/gpstk/ComputeSimpleWeights.hpp
 include/gpstk/ComputeTropModel.hpp
 include/gpstk/ComputeWindUp.hpp
 include/gpstk/ConfDataReader.hpp
 include/gpstk/ConfDataWriter.hpp
+include/gpstk/ConstraintSystem.hpp
+include/gpstk/ConvertC1ToP1.hpp
 include/gpstk/CorrectCodeBiases.hpp
 include/gpstk/CorrectObservables.hpp
 include/gpstk/DCBDataReader.hpp
@@ -166,15 +185,16 @@ include/gpstk/DOP.hpp
 include/gpstk/DataHeaders.hpp
 include/gpstk/DataStatus.hpp
 include/gpstk/DataStructures.hpp
-include/gpstk/DayTime.hpp
+include/gpstk/DebugUtils.hpp
 include/gpstk/Decimate.hpp
 include/gpstk/DeltaOp.hpp
+include/gpstk/Differentiator.hpp
 include/gpstk/DiscCorr.hpp
 include/gpstk/DoubleOp.hpp
 include/gpstk/Dumper.hpp
-include/gpstk/ECEF.hpp
 include/gpstk/EGM96GravityModel.hpp
 include/gpstk/ENUUtil.hpp
+include/gpstk/EOPDataStore.hpp
 include/gpstk/EPSImage.hpp
 include/gpstk/EarthBody.hpp
 include/gpstk/EarthOceanTide.hpp
@@ -196,16 +216,9 @@ include/gpstk/EquationOfMotion.hpp
 include/gpstk/EquationSystem.hpp
 include/gpstk/Exception.hpp
 include/gpstk/Expression.hpp
-include/gpstk/ExtractC1.hpp
 include/gpstk/ExtractCombinationData.hpp
-include/gpstk/ExtractD1.hpp
-include/gpstk/ExtractD2.hpp
 include/gpstk/ExtractData.hpp
-include/gpstk/ExtractL1.hpp
-include/gpstk/ExtractL2.hpp
 include/gpstk/ExtractLC.hpp
-include/gpstk/ExtractP1.hpp
-include/gpstk/ExtractP2.hpp
 include/gpstk/ExtractPC.hpp
 include/gpstk/FFBinaryStream.hpp
 include/gpstk/FFData.hpp
@@ -224,6 +237,7 @@ include/gpstk/FICFilterOperators.hpp
 include/gpstk/FICHeader.hpp
 include/gpstk/FICStream.hpp
 include/gpstk/FICStreamBase.hpp
+include/gpstk/FIRDifferentiator5thOrder.hpp
 include/gpstk/FileFilter.hpp
 include/gpstk/FileFilterFrame.hpp
 include/gpstk/FileFilterFrameWithHeader.hpp
@@ -232,30 +246,37 @@ include/gpstk/FileSpec.hpp
 include/gpstk/FileStore.hpp
 include/gpstk/FileUtils.hpp
 include/gpstk/Fillable.hpp
+include/gpstk/FilterBase.hpp
 include/gpstk/ForceModel.hpp
 include/gpstk/ForceModelList.hpp
 include/gpstk/Frame.hpp
+include/gpstk/GDSUtils.hpp
 include/gpstk/GPSAlmanacStore.hpp
 include/gpstk/GPSEllipsoid.hpp
 include/gpstk/GPSEphemerisStore.hpp
-include/gpstk/GPSGeoid.hpp
 include/gpstk/GPSWeek.hpp
 include/gpstk/GPSWeekSecond.hpp
 include/gpstk/GPSWeekZcount.hpp
 include/gpstk/GPSZcount.hpp
+include/gpstk/GPS_URA.hpp
 include/gpstk/GSatID.hpp
+include/gpstk/GalEphemeris.hpp
+include/gpstk/GalEphemerisStore.hpp
 include/gpstk/GaussianDistribution.hpp
 include/gpstk/GenXSequence.hpp
-include/gpstk/Geodetic.hpp
+include/gpstk/GeneralConstraint.hpp
+include/gpstk/GeneralEquations.hpp
 include/gpstk/GeodeticFrames.hpp
-include/gpstk/GeoidModel.hpp
+include/gpstk/GloEphemeris.hpp
+include/gpstk/GloEphemerisStore.hpp
+include/gpstk/GloFreqIndex.hpp
 include/gpstk/GraphicsConstants.hpp
 include/gpstk/GravitationalDelay.hpp
 include/gpstk/GridLayout.hpp
 include/gpstk/HLayout.hpp
 include/gpstk/HarrisPriesterDrag.hpp
+include/gpstk/HelmertTransform.hpp
 include/gpstk/Helper.hpp
-include/gpstk/IERS.hpp
 include/gpstk/InOutFramework.hpp
 include/gpstk/Integrator.hpp
 include/gpstk/InterpolatedColorMap.hpp
@@ -279,6 +300,9 @@ include/gpstk/Line.hpp
 include/gpstk/LinePlot.hpp
 include/gpstk/LinearClockModel.hpp
 include/gpstk/LinearCombinations.hpp
+include/gpstk/LogChannel.hpp
+include/gpstk/LogMessage.hpp
+include/gpstk/Logger.hpp
 include/gpstk/LoopedFramework.hpp
 include/gpstk/MDPHeader.hpp
 include/gpstk/MDPNavSubframe.hpp
@@ -294,6 +318,7 @@ include/gpstk/MSCHeader.hpp
 include/gpstk/MSCStore.hpp
 include/gpstk/MSCStream.hpp
 include/gpstk/MWCSDetector.hpp
+include/gpstk/MainAdapter.hpp
 include/gpstk/Markable.hpp
 include/gpstk/Marker.hpp
 include/gpstk/MathBase.hpp
@@ -303,6 +328,7 @@ include/gpstk/MatrixBaseOperators.hpp
 include/gpstk/MatrixFunctors.hpp
 include/gpstk/MatrixImplementation.hpp
 include/gpstk/MatrixOperators.hpp
+include/gpstk/MemoryUtils.hpp
 include/gpstk/MetReader.hpp
 include/gpstk/MiscMath.hpp
 include/gpstk/ModelObs.hpp
@@ -330,36 +356,64 @@ include/gpstk/ObsRngDev.hpp
 include/gpstk/ObsUtils.hpp
 include/gpstk/OceanLoading.hpp
 include/gpstk/OneFreqCSDetector.hpp
+include/gpstk/OrbElemStore.hpp
 include/gpstk/PCSmoother.hpp
 include/gpstk/PCodeConst.hpp
 include/gpstk/PNG.hpp
 include/gpstk/PRSolution.hpp
+include/gpstk/PRSolution2.hpp
 include/gpstk/PSImage.hpp
 include/gpstk/PSImageBase.hpp
+include/gpstk/PZ90Ellipsoid.hpp
+include/gpstk/PackedNavBits.hpp
 include/gpstk/Palette.hpp
 include/gpstk/Path.hpp
 include/gpstk/PhaseCodeAlignment.hpp
 include/gpstk/PhaseWindup.hpp
+include/gpstk/PlanetEphemeris.hpp
 include/gpstk/Plot.hpp
 include/gpstk/PoleTides.hpp
 include/gpstk/PolyFit.hpp
 include/gpstk/Polygon.hpp
 include/gpstk/Position.hpp
+include/gpstk/PositionSatStore.hpp
 include/gpstk/PowerSum.hpp
 include/gpstk/PreciseRange.hpp
+include/gpstk/ProblemSatFilter.hpp
 include/gpstk/ProcessingClass.hpp
 include/gpstk/ProcessingList.hpp
 include/gpstk/ProcessingVector.hpp
 include/gpstk/Pruner.hpp
 include/gpstk/PvtStore.hpp
 include/gpstk/RACRotation.hpp
+include/gpstk/RK4VehicleModel.hpp
 include/gpstk/RTFileFrame.hpp
 include/gpstk/Rectangle.hpp
+include/gpstk/ReferenceFrame.hpp
 include/gpstk/ReferenceFrames.hpp
 include/gpstk/RelativityEffect.hpp
 include/gpstk/RequireObservables.hpp
+include/gpstk/Rinex3ClockBase.hpp
+include/gpstk/Rinex3ClockData.hpp
+include/gpstk/Rinex3ClockHeader.hpp
+include/gpstk/Rinex3ClockStream.hpp
+include/gpstk/Rinex3EphemerisStore.hpp
+include/gpstk/Rinex3NavBase.hpp
+include/gpstk/Rinex3NavData.hpp
+include/gpstk/Rinex3NavFilterOperators.hpp
+include/gpstk/Rinex3NavHeader.hpp
+include/gpstk/Rinex3NavStream.hpp
+include/gpstk/Rinex3ObsBase.hpp
+include/gpstk/Rinex3ObsData.hpp
+include/gpstk/Rinex3ObsFilterOperators.hpp
+include/gpstk/Rinex3ObsHeader.hpp
+include/gpstk/Rinex3ObsStream.hpp
+include/gpstk/RinexClockBase.hpp
+include/gpstk/RinexClockData.hpp
+include/gpstk/RinexClockHeader.hpp
+include/gpstk/RinexClockStore.hpp
+include/gpstk/RinexClockStream.hpp
 include/gpstk/RinexConverters.hpp
-include/gpstk/RinexEphemerisStore.hpp
 include/gpstk/RinexMetBase.hpp
 include/gpstk/RinexMetData.hpp
 include/gpstk/RinexMetFilterOperators.hpp
@@ -431,23 +485,25 @@ include/gpstk/SphericalHarmonicGravity.h
 include/gpstk/Splitter.hpp
 include/gpstk/Stats.hpp
 include/gpstk/StochasticModel.hpp
+include/gpstk/StreamBuf.hpp
 include/gpstk/StringUtils.hpp
 include/gpstk/StrokeStyle.hpp
 include/gpstk/StudentDistribution.hpp
 include/gpstk/SunEarthSatGeometry.hpp
 include/gpstk/SunForce.hpp
 include/gpstk/SunPosition.hpp
-include/gpstk/SuperKalmanFilter.hpp
 include/gpstk/SurfacePlot.hpp
 include/gpstk/Synchronize.hpp
 include/gpstk/SystemTime.hpp
-include/gpstk/TabularEphemerisStore.hpp
+include/gpstk/TabularSatStore.hpp
 include/gpstk/Text.hpp
 include/gpstk/TextStyle.hpp
 include/gpstk/TimeConstants.hpp
 include/gpstk/TimeConverters.hpp
 include/gpstk/TimeNamedFileStream.hpp
 include/gpstk/TimeString.hpp
+include/gpstk/TimeSystem.hpp
+include/gpstk/TimeSystemCorr.hpp
 include/gpstk/TimeTag.hpp
 include/gpstk/Triple.hpp
 include/gpstk/TropModel.hpp
@@ -466,13 +522,13 @@ include/gpstk/VectorBaseOperators.hpp
 include/gpstk/VectorOperators.hpp
 include/gpstk/ViewerManager.hpp
 include/gpstk/WGS84Ellipsoid.hpp
-include/gpstk/WGS84Geoid.hpp
 include/gpstk/WeightBase.hpp
 include/gpstk/WxObsMap.hpp
 include/gpstk/X1Sequence.hpp
 include/gpstk/X2Sequence.hpp
 include/gpstk/XYZ2NED.hpp
 include/gpstk/XYZ2NEU.hpp
+include/gpstk/Xv.hpp
 include/gpstk/Xvt.hpp
 include/gpstk/XvtStore.hpp
 include/gpstk/YDSTime.hpp
@@ -482,11 +538,11 @@ include/gpstk/YumaData.hpp
 include/gpstk/YumaHeader.hpp
 include/gpstk/YumaStream.hpp
 include/gpstk/convhelp.hpp
+include/gpstk/expandtilde.hpp
 include/gpstk/format.hpp
 include/gpstk/geometry.hpp
 include/gpstk/gps_constants.hpp
 include/gpstk/gpstkplatform.h
-include/gpstk/icd_200_constants.hpp
 include/gpstk/index.hpp
 include/gpstk/logstream.hpp
 include/gpstk/mergePCodeWords.h
@@ -494,26 +550,27 @@ include/gpstk/miscdefs.hpp
 include/gpstk/miscenum.hpp
 include/gpstk/plottypes.hpp
 include/gpstk/random.hpp
+include/gpstk/singleton.hpp
 include/gpstk/stl_helpers.hpp
 lib/libgeodyn.a
 lib/libgeodyn.so
-lib/libgeodyn.so.17
+lib/libgeodyn.so.20
 lib/libgeomatics.a
 lib/libgeomatics.so
-lib/libgeomatics.so.17
+lib/libgeomatics.so.20
 lib/libgpstk.a
 lib/libgpstk.so
-lib/libgpstk.so.17
+lib/libgpstk.so.20
 lib/libprocframe.a
 lib/libprocframe.so
-lib/libprocframe.so.17
+lib/libprocframe.so.20
 lib/librxio.a
 lib/librxio.so
-lib/librxio.so.17
+lib/librxio.so.20
 lib/libvdraw.a
 lib/libvdraw.so
-lib/libvdraw.so.17
+lib/libvdraw.so.20
 lib/libvplot.a
 lib/libvplot.so
-lib/libvplot.so.17
+lib/libvplot.so.20
 @dirrm include/gpstk
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jason Helfman freebsd_committer 2012-07-19 06:31:04 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!